# 麒麟移動運行環境
##概述
麒麟移動運行環境（KMRE）是麒麟團隊專為“銀河麒麟作業系統”打造的一款相容安卓App運行的系統環境，用於滿足用戶對應用軟體的多樣化需求。 KMRE能够讓用戶在銀河麒麟作業系統中安裝和運行安卓App，比如遊戲、微信、QQ極速版、股票、視頻類App等。

###技術特點
1）支持海量安卓App，一秒啟動。

2）可直接使用顯卡硬體，無效能損失。

3）安卓App與Linux視窗顯示融合。

4）多個App同時運行。

5）App分辯率動態適應，橫豎荧幕切換，高解析度真全屏模式。

6）統一輸入法，使用Linux輸入法在安卓App中輸入文字。

7）統一音訊設備，支持語音聊天。

8）支持使用監視器拍照、錄影和視頻通話，支持監視器熱插拔，隨插即用。

9）檔案互通，文字剪切板互通，應用管理統一。

10）支持微信、QQ極速版的新消息通知。

11）支持微信平板模式登入，和手機微信同時線上。

12）支持微信、QQ極速版等應用拖拽檔案進行分享。

13）支持安卓App直接訪問Linux端檔案。

14）支持安卓內的檔案使用Linux端的默認工具打開。

15）支持安卓App快速截圖分享和錄屏分享。

16）支持安卓App共亯Linux案頭。

17）支持安卓App內圖片和檔案的縮放。

18）支持遊戲按鍵設定。

19）陞級到安卓11，相容性、安全性、穩定性大幅提升。 

<br>

## 用前必讀

因安卓系統本身科技設計，以及KMRE與銀河麒麟作業系統共用硬體資源的原因，為了達到較好的使用體驗效果，建議用戶仔細閱讀以下注意事項和已知問題：

1）安卓App在使用固態硬碟時效能會相較於使用機械硬碟有較大提升（安卓作業系統為手機作業系統，其磁片操作對機械硬碟支持較差）；

2）建議不要同時運行4個以上的App（安卓手機一般只會有一個App在前端活躍運行）；

3）電腦記憶體建議8G或以上；

4）當前版本支持的處理器包括FT1500A、FT-2000/4、FT-D2000/8、Kirin990、Kirin9006C、Hygon、ZHAOXIN、Kunpeng920、Intel和AMD；

5）當前版本支持的顯卡包括：NVIDIA、AMD、INTEL、MALI、JJM、GP101、X100和ZHAOXIN；

6）QQ極速版語音和視頻通話正常，但是錄影顯示异常；

7）在使用音視頻通話軟件時，需要暫停其他音訊/視頻的播放，否則音視頻通話軟件可能會遇到聽不到對方聲音的問題；

8）當前版本在有些機器上使用監視器可能存在綠屏現象；

9）帶有wifi設備的機器，如筆記本或者桌上型電腦插入了無線網卡，這類機器在啟動KMRE環境之前，需要保證wifi開關處於開啟狀態，否則如果wifi開關處於關閉狀態時啟動KMRE環境，則KMRE環境裏的App都無法聯網；

10）視頻類應用調節荧幕亮度功能不會生效；

11）視頻類應用不支持“畫中畫”功能；

12）不支持定位和感測器相關功能；

13）“釘釘”應用登入後，如在釘釘上使用到打卡等功能，需要先在KMRE環境中登出帳號，否則可能出現“虛擬定位軟件打卡”問題；

14）“藍信+”應用，需要在手機上登出帳號後，語音通話功能才能成功呼出；

15）如果安卓應用無法連接互聯網，請檢查是否是docker網絡配寘與本機局域網的網絡配寘存在衝突；

16）不支持虛擬機器；

17）不支持超級用戶root使用；

18）部分應用（如知乎）出現無網絡的原因可能與Linux系統時間不對有關，安卓系統內部與Linux系統時間同步，某些安卓應用內部有自己的網絡檢測機制，當安卓系統時間不是當前時間時，可能會禁止應用使用網絡； 解决該問題的方法是：Linux系統同步當前時間。

19）不支持投屏；

20）請慎重使用軟件支付功能，防止造成財產損失。

<br>

## 启动和关闭
- 啟動KMRE：啟動管道1）點擊軟件商店介面上方的“移動應用”按鈕，首先進行KMRE初始化，如圖1所示，待KMRE初始化完成後，軟件商店的“移動應用”頁面將會出現移動應用清單，在移動應用清單頁面可以安裝和啟動移動應用； 啟動管道2）從開始菜單啟動。

![圖 1 初始化KMRE提示框-big](image/1.png)

- 關閉KMRE：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“幫助”->“關閉麒麟移動運行環境”，即可將KMRE關閉，同時關閉所有移動應用的圖形視窗 。

<br>

## 安裝和卸載
- 安裝應用：通過軟件商店安裝或者本地直接按兩下apk包進行安裝。

- 卸載應用：卸載管道1）進入“軟件商店”->“我的”->“應用卸載”頁面，選中需要卸載的軟件，點擊“卸載”按鈕開始卸載； 卸載管道2）打開開始菜單，在需要卸載的應用上點擊滑鼠右鍵，然後點擊“卸載”。

<br>

## 輸入
- 中文輸入：KMRE和麒麟系統共亯輸入法，切換中文輸入法後，可以直接在移動應用的輸入框中輸入中文，如圖2所示。

![圖 2 中文輸入-big](image/2.png)

- 按鍵輸入：KMRE支持鍵盤按鍵輸入，包括小鍵盤和各類複合鍵，如Ctrl+C、Ctrl+V、Ctrl+A等。

<br>

## 檔案互通
- 聚合顯示安卓檔案：點擊“檔案管理器”->“快速訪問”->“移動應用”，可以分類查看、編輯和拷貝安卓系統內的四類檔案，分別是圖片、視頻、音訊和檔案。

- 查看手機存儲檔案：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“打開移動數據”，即可在檔案管理器中查看手機存儲的所有檔案目錄 。

- 拖拽檔案進行分享：從麒麟系統端拖拽一個檔案（僅支持當前用戶家目錄下的檔案）到移動應用的介面，可以選擇好友進行分享轉發。 KMRE現時支持9款應用的檔案拖拽，分別是微信、QQ極速版、網易郵箱、Welink、WPS、百度網盤、有道雲筆記、藍信+、企業微信； 對3款應用只支持圖片分享，分別是愛奇藝、今日頭條、印象筆記。

- 檔案發送：在微信聊天介面，選擇“+”->“檔案”->“手機存儲”->“0-麒麟檔案”，即可將麒麟系統端家目錄下的檔案發送給微信好友，如圖3所示。

![圖 3 微信從手機存儲選擇檔案檔案-big](image/3.png)

- 麒麟端軟件打開移動應用內的檔案：滑鼠左鍵長按微信內收到的檔案，在彈出的選單中點擊“其他應用打開”，選擇“本地應用打開”，則可以用麒麟系統端關聯的工具打開文件 。

<br>

## 便捷操作
- 放大縮小：KMRE支持對圖片和檔案內容的放大縮小：按住“Ctrl”鍵，並按住滑鼠左鍵進行前後左右移動。

- 截圖分享：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“截圖”，即可使用截圖工具進行截圖並分享給好友。 截圖分享功能暫時只支持微信和QQ。

- 錄屏分享：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“錄屏”，即可開始錄屏，錄屏完成後，可直接分享給好友。 錄屏分享功能暫時只支持微信和QQ 。

- 打開移動數據目錄：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“本地檔案”->“移動數據”，快速打開KMRE移動數據的目錄。

- 打開圖庫：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“本地檔案”->“圖庫”，查看KMRE圖庫內的所有圖片。

- 打開微信下載目錄：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“本地檔案”->“微信下載目錄”，快速打開微信的下載目錄。

- 打開QQ接收檔案目錄：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“本地檔案”->“QQ接收檔案目錄”，快速打開QQ接收檔案的目錄。

- 虛擬鍵盤：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“虛擬鍵盤”，即可使用虛擬鍵盤輸入。

- 視窗置頂：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“置頂”，即可讓該移動應用介面處於置頂狀態。

- 打開配寘介面：點擊任何一個移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“配寘”，即可快速進入配寘介面。

<br>

## 配置
- 顯示模式切換：KMRE提供兩種顯示模式，效能模式和相容模式，其中效能模式只適用於AMD和Intel顯卡，相容模式適用於所用顯卡，如圖4所示。 顯示介面僅在兩種模式都適用時才顯示。

![圖 4 顯示模式切換介面-big](image/4.png)

- 渲染器切換：KMRE提供四種渲染器清單供用戶選擇，其中“默認”由安卓根據硬體環境自動選擇渲染器。 用戶可以通過“配寘”入口，在“渲染器”頁面中進行修改，如圖5所示。 顯示模式處於效能模式狀態時，渲染器介面不顯示 。

![圖 5 渲染器切換介面-big](image/5.png)

- 遊戲按鍵白名單設定：在配寘介面的“遊戲設定”頁面，可以將遊戲添加到白名單中或從白名單中删除，如圖6所示。 點擊移動應用介面標題列上的“選單”圖標，在彈出的選單中選擇“遊戲按鍵”，開始進行按鍵設定，如圖7所示，遊戲操作效果如圖8所示。

![圖 6 遊戲按鍵白名單-big](image/6.png)

![圖 7 遊戲按鍵設定介面-big](image/7.png)

![圖 8 遊戲操作效果圖-big](image/8.png)

- 修改網絡配寘：如果Docker默認的網段與用戶系統所在的局域網網段一樣，如172開頭的網段，則會造成網絡衝突，導致麒麟系統和KMRE訪問網絡异常。 點擊任何一個移動應用介面標題列上的“配寘”圖標，進入配寘介面的“網絡”頁面，則可以進行容器的默認網絡修改，如圖9所示。

![圖 9 設定容器默認網絡-big](image/9.png)

- 監視器切換：如圖10所示，切換KMRE使用的監視器。

![圖 10 監視器切換介面-big](image/10.png)

- 平行介面：如圖11所示，設定應用是否啟用平行介面顯示模式。

![圖 11 平行介面切換介面-big](image/11.png)

- 鏡像清理：如圖12所示，選擇鏡像進行清理或者一次性清理所有閒置鏡像，節省硬碟存儲空間 。

![圖 12 鏡像清理介面-big](image/12.png)

- 託盤設定：如圖13所示，設定應用是否顯示託盤，應用設定託盤顯示後，在標題列點擊關閉時，應用將不會退出運行。

![圖 13 託盤設定介面-big](image/13.png)

- 日誌收集：如圖14所示，收集日誌，方便問題跟踪定位。

![圖 14 日誌收集介面-big](image/14.png)

<br>
